ss1271's Site

风餐露宿,不可一日无码.

Seesmic for Android 1.4会在手机上“搞垮”你的Twitter API

| Comments

#UPDATE 应该也是没有完全搞垮,请参见本文后的更新 shot1 Seesmic for Android是一个风格非常简洁明快的Twitter客户端。 GMT +8 (北京时间) 2010/7/15 早,Seesmic for Android 放出了1.4正式版,并在Market上提示更新了Image Preview和OAuth等功能。 然后我的杯具开始了。我看到Seesmic更新了image Preview功能,大喜过望,直接更新,而后Seesmic一直提示我的账户connection failed。我以为是缓存之类的毛病,就删掉账户,重新建立一个试图登陆。 我使用自己建立的gtap-oauth API(不是之前流行的birdnest),一切信息填妥之后点登陆 就会提示这个: shot2 试了无数次,包括挂VPN和不挂VPN,用WiFi和不用WiFi总共A22=4中组合都试过,无一例外都是这个结果。 于是换用了Twidroyd和Andscape,得到的结果都类似,只要用了API都会提示connection error之类的错误。 郁闷之极的我最后用了电脑的Mixero,我Mixero使用的和手机上的API一样,都是gtap-oauth的,但是电脑上就没有这个问题,这个API工作很正常…… 于是问题诡异了 如果是Twitter客户端造成的问题,那么为毛换了几个客户端都不能用? 如果是Seesmic干掉了我的API,那么为啥我在电脑的Mixero可以用相同的API发推看推? 总之,如果你看到了Seesmic的更新提示,并且你还是用API(不管你是Birdnest还是gtap-oauth的API)登陆twitter的,那一定不要升级你的Seesmic到1.4版。 #2010/7/17 UPDATE 今天看到某论坛上有说Twidroyd可以登陆,于是尝试了一下,发现果然可以了。 但是Seesmic更新1.4的当天的确是不能使用被“搞垮”的API在Twidroyd、Andscape上登陆的。 如果有大牛知道这是为啥,欢迎留言交流~

Comments